import React from "react";

export const Drilling = ({
  color = "currentColor",
  width = "18px",
  height = "18px",
}) => {
  return (
    <svg
    width={width}
    height={height}
      xmlns="http://www.w3.org/2000/svg"
      id="Icons"
      viewBox="0 0 74 74"
    >
      <path d="M38,36.5H5a3,3,0,0,1-3-3v-22a3,3,0,0,1,3-3H38a1,1,0,0,1,1,1v26A1,1,0,0,1,38,36.5ZM5,10.5a1,1,0,0,0-1,1v22a1,1,0,0,0,1,1H37v-24Z" />
      <path d="M38,36.5a1,1,0,0,1-1-1V9.5a1,1,0,0,1,1.454-.891l8,4.077a1,1,0,0,1,.546.891V31.423a1,1,0,0,1-.546.891l-8,4.077A1,1,0,0,1,38,36.5Zm1-25.368V33.868l6-3.058V14.19Z" />
      <path d="M50.288,32.423H46a1,1,0,0,1-1-1V13.577a1,1,0,0,1,1-1h4.288A1,1,0,0,1,51,12.87l4.212,4.212a1,1,0,0,1,.293.707v9.422a1,1,0,0,1-.293.707L51,32.13A1,1,0,0,1,50.288,32.423Zm-3.288-2h2.874L53.5,26.8V18.2l-3.626-3.626H47Z" />
      <path d="M68,26.4H54.5a1,1,0,0,1-1-1V19.6a1,1,0,0,1,1-1H68a1,1,0,0,1,.694.281l3,2.9a1,1,0,0,1,0,1.438l-3,2.9A1,1,0,0,1,68,26.4Zm-12.5-2H67.6l1.965-1.9L67.6,20.6H55.5Z" />
      <path d="M16,57.5H5a1,1,0,0,1-1-.966A78.1,78.1,0,0,1,6.03,35.257a1,1,0,0,1,1.94.486,76.621,76.621,0,0,0-2,19.757h9a82.284,82.284,0,0,1,2.049-20.213,1,1,0,0,1,1.956.426A80.351,80.351,0,0,0,17,56.468,1,1,0,0,1,16,57.5Z" />
      <path d="M21.5,65.5H5a1,1,0,0,1-1-1v-8a1,1,0,0,1,1-1H21.5a1,1,0,0,1,1,1v8A1,1,0,0,1,21.5,65.5ZM6,63.5H20.5v-6H6Z" />
      <path d="M24,42.17H16.93a1,1,0,0,1,0-2h6.209l.721-4.818a1,1,0,0,1,1.979.3l-.85,5.67A1,1,0,0,1,24,42.17Z" />
      <path d="M27,19.6H13a3,3,0,0,1-3-3V9.5a1,1,0,0,1,1-1H29a1,1,0,0,1,1,1v7.1A3,3,0,0,1,27,19.6ZM12,10.5v6.1a1,1,0,0,0,1,1H27a1,1,0,0,0,1-1V10.5Z" />
    </svg>
  );
};
